Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
dbmdata Struct Reference

## Data Fields
long | di_size
DBM * | di_dbm
int | di_size
GDBM_FILE | di_dbm

## Detailed Description

Definition at line 37 of file dbm.c.

## Field Documentation

DBM * dbmdata::di_dbm

Definition at line 39 of file dbm.c.

Referenced by fdbm_close(), fdbm_closed(), fdbm_empty_p(), fdbm_initialize(), fgdbm_close(), fgdbm_closed(), fgdbm_empty_p(), fgdbm_initialize(), free_dbm(), free_sdbm(), fsdbm_close(), fsdbm_closed(), fsdbm_empty_p(), and fsdbm_initialize().

GDBM_FILE dbmdata::di_dbm

Definition at line 94 of file gdbm.c.

int dbmdata::di_size

Definition at line 38 of file dbm.c.

Referenced by fdbm_clear(), fdbm_delete(), fdbm_delete_if(), fdbm_empty_p(), fdbm_initialize(), fdbm_length(), fdbm_shift(), fdbm_store(), fgdbm_clear(), fgdbm_delete_if(), fgdbm_empty_p(), fgdbm_initialize(), fgdbm_length(), fgdbm_store(), fsdbm_clear(), fsdbm_delete(), fsdbm_delete_if(), fsdbm_empty_p(), fsdbm_initialize(), fsdbm_length(), fsdbm_shift(), fsdbm_store(), and rb_gdbm_delete().

int dbmdata::di_size

Definition at line 93 of file gdbm.c.

The documentation for this struct was generated from the following files:

- ext/dbm/dbm.c
- ext/gdbm/gdbm.c
- ext/sdbm/init.c